PathCallParamRule (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.digester.PathCallParamRule class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.digester
Class PathCallParamRule

    java.lang.Object
      org.apache.tomcat.util.digester.Rule
          org.apache.tomcat.util.digester.PathCallParamRule

public class PathCallParamRule
extends Rule

Rule implementation that saves a parameter containing the `Digester` matching path for use by a surrounding `CallMethodRule`. This Rule is most useful when making extensive use of wildcards in rule patterns.

Since:
  1.6

Field Summary
`protected int` | `paramIndex` The zero-relative index of the parameter we are saving.

Fields inherited from class org.apache.tomcat.util.digester.Rule
`digester, namespaceURI`

Constructor Summary
`PathCallParamRule(int paramIndex)` Construct a "call parameter" rule that will save the body text of this element as the parameter value.

Method Summary
`void` | `begin(java.lang.String namespace, java.lang.String name, org.xml.sax.Attributes attributes)` Process the start of this element.
`java.lang.String` | `toString()` Render a printable version of this Rule.

Methods inherited from class org.apache.tomcat.util.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### paramIndex

    protected int paramIndex

  The zero-relative index of the parameter we are saving.

Constructor Detail

### PathCallParamRule

    public PathCallParamRule(int paramIndex)

  Construct a "call parameter" rule that will save the body text of this element as the parameter value.

Parameters:
  `paramIndex` - The zero-relative parameter number

Method Detail

### begin

    public void begin(java.lang.String namespace,
                      java.lang.String name,
                      org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Process the start of this element.

  Overrides:
    `begin` in class `Rule`
  Parameters:
    `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
    `name` - the local name if the parser is namespace aware, or just the element name otherwise
    `attributes` - The attribute list for this element
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Render a printable version of this Rule.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.